Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

Help needed to get Juno First working (please!)



  • Hi all, hoping there's someone who can help me out. I built a bartop arcade in order to play some of my favourite games in a more "arcade-friendly" way i.e. not on a Mac/PC sitting at my desk ;-)

    The bartop uses a Pi3 and Retropie/Emulation Station - which is absolutely brilliant.

    One of the games I was really looking forward to playing was Juno First, which was working on my Mac via Mame. However for whatever reason I cannot seem to find the magic combination of correct core and ROM version to get this to work.

    Best I have had is the game boots but all the controls are messed up and you can't play.

    Any suggestions on most appropriate core and ROM version for this to work on a Pi3?

    cheers


  • Global Moderator

    @mrvectrex For each arcade emulator included in RetroPie, there's a corresponding ROMset version that you can use. There's no mix-and-match, get a ROMset for your emulator and you'll be fine - https://retropie.org.uk/docs/MAME/.



  • I couldn't get it to work on mame, but it worked fine using FBA



  • @mitu Hey, thanks for the reply. Yeah, I know about that. Unfortunately I've tried 0.78 ROMs with lr-mame2003 as recommended in the arcade quick start doc on here and it just does not work.

    I have dozens of other ROMs all working fine, including my other favourites Robotron and Stargate.



  • @chizzer ooh, this sounds hopeful!

    So this was from the FB Alpha ROM set - FB Alpha v0.2.97.42?



  • Hi, just wanted to thank @chizzer for the suggestion of using FB Alpha, I now have a working Juno First and I am very happy! Broke 100,000 on my 3rd go and loving it!



Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.